summaryrefslogtreecommitdiffstats
path: root/academic/h5utils/h5utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/h5utils/h5utils.SlackBuild')
-rw-r--r--academic/h5utils/h5utils.SlackBuild26
1 files changed, 16 insertions, 10 deletions
diff --git a/academic/h5utils/h5utils.SlackBuild b/academic/h5utils/h5utils.SlackBuild
index 030abacf28..1bc4c3a5ef 100644
--- a/academic/h5utils/h5utils.SlackBuild
+++ b/academic/h5utils/h5utils.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=h5utils
-VERSION=${VERSION:-1.13.1}
+VERSION=${VERSION:-1.13.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -64,13 +64,13 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
# change annoying underscores into hyphens
SVERSION=$(echo $VERSION | tr '_' '-')
# make a custom list of doc files in advance
DOCFILES="AUTHORS COPYING"
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -85,11 +85,20 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# if there is no configure script, try to build one!
-if [ ! -f ./configure ] ; then
+if [ ! -f ./configure ] ; then
./autogen.sh
fi
LOCALCONFIGS=
+XDBFILE=/etc/sbo_pkg_options.conf
+if [ -f ${XDBFILE} ] ; then
+ LOCALCONFIGS=${LOCALCONFIGS}" "$(grep "^${PRGNAM}:" ${XDBFILE} | grep -v '^#' | awk -F: '{print$2}')
+ echo Build options selected by file: LOCALCONFIGS=${LOCALCONFIGS}
+fi
+if [ -n "${SBOPTIONS_H5UTILS}" ] ; then
+ LOCALCONFIGS=${LOCALCONFIGS}" "${SBOPTIONS_H5UTILS}
+ echo Build options selected by environment: LOCALCONFIGS=${LOCALCONFIGS}
+fi
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="$SLKCFLAGS" \
@@ -101,12 +110,6 @@ CPPFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux \
$LOCALCONFIGS
-# allow parallel makes if this variable is set;
-# but always finish with a single make in case
-# there is a problem with that
-if [ "${JMULTIMAKE}" ] ; then
- make -j ${JMULTIMAKE}
-fi
make
make install DESTDIR=$PKG
@@ -117,6 +120,9 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc